import es, gamethread, cfglib

info = es.AddonInfo() 
info.name     = "SimpleNoblock" 
info.version  = "1.1" 
info.url      = "http://addons.eventscripts.com/addons/view/simplenoblock" 
info.basename = "simplenoblock" 
info.author   = "3R10N" 
es.ServerVar('simp_noblock', info.version, 'Simplistic Noblock addon').makepublic() 

config = cfglib.AddonCFG(es.getAddonPath(info.basename) + '/' + info.basename + '.cfg')

config.text('SimpleNoblock Settings')

config.text('')

simp_noblock_adverts = config.cvar('simp_noblock_adverts',  '0', '0: Will not announce allow adverts. 1: Will allow adverts.')
simp_noblock_advert_delay = config.cvar('simp_noblock_advert_delay',  '10', 'The delay in seconds it takes the adverts to announce on round start.')

config.text('')
config.text('To use colors, put #green or #lightgreen before the text.')
config.text('eg: #green [SimpleNoblock]#lightgreen Noblock is currently activated')

simp_noblock_custom_advert = config.cvar('simp_noblock_custom_advert',  '#green [SimpleNoblock]#lightgreen Noblock is currently activated', 'SimpleNoblock advert that will display.')

simp_noblock_all_maps = config.cvar('simp_noblock_all_maps',  '0', '1: Will have it so that every map has noblock. 0: Will have it so that only maps in the simp_noblock_maplist will have noblock.')
simp_noblock_maplist = config.cvar('simp_noblock_maplist',  'de_dust,de_dust2,cs_office,de_nuke,cs_assualt', 'The list of maps that will have noblock active. Must be seperated with a comma')
config.write()

def load():
   simp_tuid = es.getuserid()
   es.give(simp_tuid, 'game_end')
   es.fire(simp_tuid, 'game_end', 'endgame')
   config.execute()
	
def es_map_start(event_var):
   global simp_noblock_active
   simp_noblock_active = 0
   if simp_noblock_all_maps == 0:
      if event_var['mapname'] in str(simp_noblock_maplist).split(','):
         simp_noblock_active = 1
      else:
         simp_noblock_active = 0
   else:
      simp_noblock_active = 1
	  
def round_start(event_var):
   global simp_noblock_active
   if simp_noblock_active == 1:
      gamethread.delayed(simp_noblock_advert_delay, es.msg('#multi', '%s' % simp_noblock_custom_advert))
	  
def player_spawn(event_var):
   global simp_noblock_active   
   simp_uid = event_var['userid']
   if simp_noblock_active == 1:
      es.setplayerprop(simp_uid, 'CBaseEntity.m_CollisionGroup', 2)